function [r1, r2, r3] = samplesize (x)

  % This works in Matlab, but in Octave numel is always returning 1.
  % Apparently it is not finding the overloaded @parent/numel
  % function.
  r1 = cellfun (@numel, {x.d});

  try
    % This works in Matlab but fails with an error in Octave because
    % object indexing doesn't seem to work in the anonymous function
    % context.
    r2 = arrayfun (@(i) numel (x(i).d), 1:numel(x), 'uniformoutput', true);
  catch
    fprintf ('arrayfun failed: %s\n', lasterror.message);
    r2 = -1;
  end

  % The following works in both Octave and Matlab.
  n = numel (x);
  r3 = zeros (1, n);
  for i = 1:n
    r3(i) = numel (x(i).d);
  end

end
